summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--test/functional_auth/tempauth/conf/account-server.conf (renamed from test/functional/conf/account-server.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/container-server.conf (renamed from test/functional/conf/container-server.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/fs.conf (renamed from test/functional/conf/fs.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/object-expirer.conf (renamed from test/functional/conf/object-expirer.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/object-server.conf (renamed from test/functional/conf/object-server.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/proxy-server.conf (renamed from test/functional/conf/proxy-server.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/swift.conf (renamed from test/functional/conf/swift.conf)0
-rw-r--r--test/functional_auth/tempauth/conf/test.conf (renamed from test/functional/conf/test.conf)0
-rwxr-xr-xtools/functional_tests.sh12
9 files changed, 9 insertions, 3 deletions
diff --git a/test/functional/conf/account-server.conf b/test/functional_auth/tempauth/conf/account-server.conf
index 4996367..4996367 100644
--- a/test/functional/conf/account-server.conf
+++ b/test/functional_auth/tempauth/conf/account-server.conf
diff --git a/test/functional/conf/container-server.conf b/test/functional_auth/tempauth/conf/container-server.conf
index 122d97e..122d97e 100644
--- a/test/functional/conf/container-server.conf
+++ b/test/functional_auth/tempauth/conf/container-server.conf
diff --git a/test/functional/conf/fs.conf b/test/functional_auth/tempauth/conf/fs.conf
index b06a854..b06a854 100644
--- a/test/functional/conf/fs.conf
+++ b/test/functional_auth/tempauth/conf/fs.conf
diff --git a/test/functional/conf/object-expirer.conf b/test/functional_auth/tempauth/conf/object-expirer.conf
index b75963c..b75963c 100644
--- a/test/functional/conf/object-expirer.conf
+++ b/test/functional_auth/tempauth/conf/object-expirer.conf
diff --git a/test/functional/conf/object-server.conf b/test/functional_auth/tempauth/conf/object-server.conf
index 3cb9ead..3cb9ead 100644
--- a/test/functional/conf/object-server.conf
+++ b/test/functional_auth/tempauth/conf/object-server.conf
diff --git a/test/functional/conf/proxy-server.conf b/test/functional_auth/tempauth/conf/proxy-server.conf
index 4b422f4..4b422f4 100644
--- a/test/functional/conf/proxy-server.conf
+++ b/test/functional_auth/tempauth/conf/proxy-server.conf
diff --git a/test/functional/conf/swift.conf b/test/functional_auth/tempauth/conf/swift.conf
index ce9a4d0..ce9a4d0 100644
--- a/test/functional/conf/swift.conf
+++ b/test/functional_auth/tempauth/conf/swift.conf
diff --git a/test/functional/conf/test.conf b/test/functional_auth/tempauth/conf/test.conf
index 55cb07d..55cb07d 100644
--- a/test/functional/conf/test.conf
+++ b/test/functional_auth/tempauth/conf/test.conf
diff --git a/tools/functional_tests.sh b/tools/functional_tests.sh
index 421188b..68b524f 100755
--- a/tools/functional_tests.sh
+++ b/tools/functional_tests.sh
@@ -64,7 +64,7 @@ export SWIFT_TEST_CONFIG_FILE=/etc/swift/test.conf
# Install the configuration files
sudo mkdir /etc/swift > /dev/null 2>&1
-sudo cp -r test/functional/conf/* /etc/swift || fail "Unable to copy configuration files to /etc/swift"
+sudo cp -r test/functional_auth/tempauth/conf/* /etc/swift || fail "Unable to copy configuration files to /etc/swift"
sudo_env gluster-swift-gen-builders test test2 || fail "Unable to create ring files"
# Start the services
@@ -74,10 +74,16 @@ sudo_env swift-init main start || fail "Unable to start swift"
mkdir functional_tests > /dev/null 2>&1
nosetests -v --exe \
--with-xunit \
- --xunit-file functional_tests/gluster-swift-functional-TC-report.xml test/functional || fail "Functional tests failed"
+ --xunit-file functional_tests/gluster-swift-generic-functional-TC-report.xml \
+ --with-html-output \
+ --html-out-file functional_tests/gluster-swift-generic-functional-result.html \
+ test/functional || fail "Functional tests failed"
nosetests -v --exe \
--with-xunit \
- --xunit-file functional_tests/gluster-swift-functionalnosetests-TC-report.xml test/functionalnosetests || fail "Functional-nose tests failed"
+ --xunit-file functional_tests/gluster-swift-functionalnosetests-TC-report.xml \
+ --with-html-output \
+ --html-out-file functional_tests/gluster-swift-functionalnosetests-result.html \
+ test/functionalnosetests || fail "Functional-nose tests failed"
cleanup
exit 0